<?php
/**
 * Created by PhpStorm.
 * User: tuliomagalhaes
 * Date: 27/04/17
 * Time: 15:47
 */

namespace Controller;

use Util\Utilities;
use Zeedhi\Framework\DTO\Response;
use Zeedhi\Framework\DataSource;
use Zeedhi\Framework\DTO\Request;
use Zeedhi\Framework\DataSource\Manager;
use Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\DTO;
use Service\Traits\TResponse;

class Operador{
    
    use TResponse;
    /**
     * @var \Service\Operador
     */
    private $operadorService;

    public function __construct(\Service\Operador $operadorService) {
        $this->operadorService = $operadorService;
    }

    public function findAvailableCliente(Request $request, Response $response){
        try{
            $condition = $request->getParameters();
            $dataSet = $this->operadorService->findAvailableCliente($condition);
            $dataSet['pagination'] = array(
                "page"  => 1,
                "limit" => 9000,
                "total" => 9000
            );
            $this->sendResponse($dataSet, 200);
        } catch(\Exception $ex){
            $this->sendResponse(['error' => $ex->getMessage(), 'code' => $ex->getCode()], 500);
        }
    }

    public function findAllAvailableCliente(Request\Filter $request, Response $response){
        try{
            $condition = $request->getFilterCriteria()->getConditions();
            $dataSet = $this->operadorService->findAllAvailableCliente($condition);
            $response->addDataSet(new DataSet('findAvailableCliente', $dataSet));
        } catch (\Exception $e) {
            $response->setError(new DTO\Response\Error($e->getMessage(), $e->getCode(), $e->getTraceAsString()));
        }
    }

    public function currentCliente(Request $request, Response $response){
        try{
            $dataSet = $this->operadorService->currentCliente();
            $response->addDataSet(new DataSet('currentCliente', $dataSet));
        } catch (\Exception $e) {
            $response->setError(new DTO\Response\Error($e->getMessage(), $e->getCode(), $e->getTraceAsString()));
        }
    }

    public function saveCurrentCliente(Request\DataSet $request, Response $response){
        try{
            $row = $request->getDataSet()->getRows()[0];
            $cdcliente = $row['NRORG'];
            $this->operadorService->saveCurrentCliente($cdcliente);
        } catch (CustomException $e) {
            $response->setError(Utilities::getErrorObjectFromException($e));
        }
    }


}