/******************************************************************************/
/******************************************************************************/
/* Trigger: DTULTATU_REFENUTRECOM                                                                                */
/* Tabela : REFENUTRECOM                                                                                                        */
/*                                                                                                                                                        */
/* Criao:                                                                                                                                          */
/* 28/10/2004 - Rafael dos Santos Lopes                           			                        */
/*                                                                                                                                                        */
/******************************************************************************/

CREATE OR REPLACE TRIGGER DTULTATU_REFENUTRECOM
BEFORE INSERT OR UPDATE OR DELETE
ON REFENUTRECOM FOR EACH ROW

BEGIN
   IF INSERTING THEN
      :NEW.DTULTATURENC := SYSDATE;
   END IF;
   IF UPDATING THEN
      IF (NVL(:OLD.DSRFNUTRECOM,0) <> NVL(:NEW.DSRFNUTRECOM,0)) THEN
         :NEW.DTULTATURENC := SYSDATE;
      END IF;
   END IF;
   IF DELETING THEN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
                       VALUES ('REFENUTRECOM', '', 'CDRFNUTRECOM='||:OLD.CDRFNUTRECOM||';', SYSDATE);
   END IF;
END;
/

ALTER TABLE REFENUTRECOM MODIFY DTULTATURENC DEFAULT SYSDATE
/

