/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_ESTA                                                     */
/* Tabela : ESTADO                                                            */
/*                                                                            */
/* Criao:                                                                   */
/* 04/05/2004 - David Moreno Ferreira                                         */
/*                                                                            */
/******************************************************************************/

IF EXISTS(SELECT * FROM sysobjects O, sysusers U
          WHERE
            o.name = 'DTULTATU_ESTA'  and
            type = 'TR'               and
            u.uid = o.uid             and
            u.name = USER)
   DROP TRIGGER DTULTATU_ESTA
GO

CREATE TRIGGER DTULTATU_ESTA
ON ESTADO
FOR INSERT, UPDATE, DELETE
AS
BEGIN
   IF (0 = (SELECT COUNT(*) FROM INSERTED)) BEGIN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
			      (SELECT 'ESTADO', null, 'CDPAIS='  + CDPAIS  + ';' +
                                     'SGESTADO='+ SGESTADO+ ';', GETDATE() FROM DELETED)
   END
   ELSE BEGIN
      UPDATE ESTADO
      SET DTULTATUESTA = GETDATE()
      FROM INSERTED
      WHERE (ISNULL(ESTADO.CDPAIS,0)   = ISNULL(INSERTED.CDPAIS,0))   AND
            (ISNULL(ESTADO.SGESTADO,0) = ISNULL(INSERTED.SGESTADO,0)) AND
            (ISNULL(ESTADO.NMESTADO,0) = ISNULL(INSERTED.NMESTADO,0)) AND
            (ISNULL(ESTADO.CDESTADOIBGE,0) = ISNULL(INSERTED.CDESTADOIBGE,0));
   END;
END;
GO

-- VERSAO --
EXEC ATUVEROBJ 'DTULTATU_ESTA','5.11.000';
GO
