<?php
namespace Zeedhi\Notification;

/**
 * class Topic
 *
 * Topic model
 *
 * @package Zeedhi\Notification
 */
class Topic {

    /** @var string Topic identifier */
    private $id;
    /** @var string Topic name*/
    private $name;
    /** @var int Number of devices registered */
    private $nrSubscribers;

    /**
     * Constructor
     *
     * @param string $id
     * @param string $name
     * @param int $nrSubscribers
     */
    public function __construct($id, $name, $nrSubscribers) {
        $this->id = $id;
        $this->name = $name;
        $this->nrSubscribers = $nrSubscribers;
    }

    /**
     * getId
     *
     * Get identifier value
     *
     * @return string Identifier value
     */
    public function getId() {
        return $this->id;
    }

    /**
     * getName
     *
     * Get topic name
     *
     * @return string Topic name
     */
    public function getName() {
        return $this->name;
    }

    /**
     * getNrSubscribers
     *
     * Get number of devices registered
     *
     * @return int Number of devices registered
     */
    public function getNrSubscribers() {
        return $this->nrSubscribers;
    }
}